Package org.tanukisoftware.wrapper.test

# Class AbstractActionApp

java.lang.Object
org.tanukisoftware.wrapper.test.AbstractActionApp

All Implemented Interfaces:
  `WrapperEventListener`

Direct Known Subclasses:
  `Main`

public abstract class AbstractActionApp extends Object implements WrapperEventListener

## Field Summary

### Fields inherited from interface org.tanukisoftware.wrapper.event.WrapperEventListener

`EVENT_FLAG_CONTROL, EVENT_FLAG_CORE, EVENT_FLAG_LOGGING, EVENT_FLAG_REMOTE_CONTROL, EVENT_FLAG_SERVICE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractActionApp()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`doAction(String action)`
`void`
`fired(WrapperEvent event)`
Called whenever a WrapperEvent is fired.
`protected boolean`
`ignoreControlEvents()`
`protected boolean`
`isNestedExit()`
`protected void`
`prepareSystemOutErr()`
`protected static void`
`printActions()`
`protected void`
`setChildParams(String childCommand, boolean childDetached)`
`protected void`
`setConsoleTitle(String consoleTitle)`
`protected void`
`setEventMask(long eventMask)`
`protected void`
`setServiceName(String serviceName)`
`protected void`
`setSlowSeconds(int slowSeconds)`
`protected void`
`setSuspendSeconds(int suspendSeconds)`
`protected void`
`updateEventListener()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractActionApp

protected AbstractActionApp()

## Method Details

### fired

public void fired(WrapperEvent event)
Called whenever a WrapperEvent is fired. The exact set of events that a listener will receive will depend on the mask supplied when WrapperManager.addWrapperEventListener was called to register the listener. Listener implementations should never assume that they will only receive events of a particular type. To assure that events added to future versions of the Wrapper do not cause problems with user code, events should always be tested with "if ( event instanceof {EventClass} )" before casting it to a specific event type.

Specified by:
  `fired` in interface `WrapperEventListener`
Parameters:
  `event` - WrapperEvent which was fired.

### ignoreControlEvents

protected boolean ignoreControlEvents()

### isNestedExit

protected boolean isNestedExit()

### setEventMask

protected void setEventMask(long eventMask)

### setSlowSeconds

protected void setSlowSeconds(int slowSeconds)

### setSuspendSeconds

protected void setSuspendSeconds(int suspendSeconds)

### setServiceName

protected void setServiceName(String serviceName)

### setConsoleTitle

protected void setConsoleTitle(String consoleTitle)

### setChildParams

protected void setChildParams(String childCommand, boolean childDetached)

### prepareSystemOutErr

protected void prepareSystemOutErr()

### updateEventListener

protected void updateEventListener()

### doAction

protected boolean doAction(String action)

### printActions

protected static void printActions()